package com.yellowmessenger.flutter_xmpp.sdk.models;

import java.io.Serializable;
import java.util.List;

public class Option implements Serializable{
    private String value;
    private String label;

    private String title;
    private String text;

    private String image;

    private List<Question> questions;
    private boolean location = false;

    public Option(String value, String label) {
        this.value = value;
        this.label = label;

        this.text = value;
        this.title = label;
    }

    public Option() {
    }

    public String getValue() {
        return value != null ?  value : text;
    }

    public void setValue(String value) {
        this.value = value;
        this.text = value;
    }

    public String getLabel() {
        return label != null ? label : title;
    }

    public void setLabel(String label) {
        this.label = label;
        this.title = label;
    }

    public List<Question> getQuestions() {
        return questions;
    }

    public void setQuestions(List<Question> questions) {
        this.questions = questions;
    }

    public boolean isLocation() {
        return location;
    }

    public void setLocation(boolean location) {
        this.location = location;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
        this.label = title;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
        this.value = text;
    }
}
